Subject: diff: mention if any GNU extensions

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 03 May 2021 04:01:27 +0800

On the diff man and INFO pages there is no mention if diff has any GNU
extensions in it, or portability gotchas, so maybe mention it is POSIX
compatible or something. One worries there are extensions but just not
mentioned. E.g., "I am about to use diff -U0. But I have an uneasy
feeling that it might not work on a non-GNU system but I am offline so
can't do an exhaustive check, and the docs don't mention anything
confirming that they remembered to mention what options are GNU
extensions... Not even one."